/*Documentation:

case_lib is a library that allows you to check strings to see if
they're either completely uppercase or lowercase.

All procs with an underscore in front of them are internal procs
which are only meant for use by case_lib itself, so you don't
have to worry about them.

proc/isAlphabet(string):

	Arguments:
		string (A text value.)

	Returns: 1 if string is completely made up of alphabetical
			 characters, and 0 if not. Supports accented
			 characters.

proc/isUpper(string)

	Arguments:
		string (A text string)

	Returns: 1 if the text string is completely uppercase, and 0 if not.

proc/isLower(string)

	Arguments:
		string (A text string)

	Returns: 1 if the text string is completely lowercase, and 0 if not.

It is important to note that both isUpper() and isLower() completely
disregard all non-letter characters: all punctuation is ignored.
Therefore,isUpper("AA!") would return 1, and isLower("aa!")
would return 1, but isUpper("Aa!") and isLower("Aa!") both return 0.*/